GET sites?siteNameFilter={siteNameFilter}&siteTypeFilter={siteTypeFilter}&includeChannels={includeChannels}
Gets a list of sites. With no filter, this will return all available sites. Optionally, the list can be filtered by the site name or site type. The site name filter can partially match multiple sites, or exactly match a single site.
For example, "sitenamefilter=ANG" would match sites 'ANG001', 'ANG002', and 'Langford'.
The site type filter will match all sites with the type provided. For example, "siteTypeFilter=Sewer" would match all sites whose type is sewer.
Both filters can be used invidually or in combination.
Optionally includes the site's channels in the response if
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteNameFilter |
Filter the site list by this site name (partial or complete). |
string |
None. |
| siteTypeFilter |
Filter the site list by this site type. |
string |
None. |
| includeChannels |
If true, the response will include the list of channels for the site. Defaults to false. |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
ResponseVMOfSiteVM| Name | Description | Type | Additional information |
|---|---|---|---|
| Resources | Collection of SiteVM |
None. |
|
| ResultCode | FwApiResultCode |
None. |
|
| ResultMessage | string |
None. |
Response Formats
application/json, text/json
{
"Resources": [
{
"Id": 1,
"Name": "sample string 2",
"InternalName": "sample string 3",
"Longitude": "sample string 4",
"Latitude": "sample string 5",
"SiteTypes": [
"sample string 1",
"sample string 2"
]
},
{
"Id": 1,
"Name": "sample string 2",
"InternalName": "sample string 3",
"Longitude": "sample string 4",
"Latitude": "sample string 5",
"SiteTypes": [
"sample string 1",
"sample string 2"
]
}
],
"ResultCode": 0,
"ResultMessage": "sample string 1"
}
application/xml, text/xml
<ResponseVMOfSiteVMFXJgzlgx xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/FW.WebApi2.ViewModels">
<ResultCode>Ok</ResultCode>
<ResultMessage>sample string 1</ResultMessage>
<Resources>
<SiteVM>
<Id>1</Id>
<InternalName>sample string 3</InternalName>
<Latitude>sample string 5</Latitude>
<Longitude>sample string 4</Longitude>
<Name>sample string 2</Name>
<SiteTypes xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:string>sample string 1</d4p1:string>
<d4p1:string>sample string 2</d4p1:string>
</SiteTypes>
</SiteVM>
<SiteVM>
<Id>1</Id>
<InternalName>sample string 3</InternalName>
<Latitude>sample string 5</Latitude>
<Longitude>sample string 4</Longitude>
<Name>sample string 2</Name>
<SiteTypes xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:string>sample string 1</d4p1:string>
<d4p1:string>sample string 2</d4p1:string>
</SiteTypes>
</SiteVM>
</Resources>
</ResponseVMOfSiteVMFXJgzlgx>